Create a card
Creates a card for a marketplace user.
/v1/marketplace/cardsAuthorization
Marketplace-Authentication
The Noona Marketplace API uses an Authorization header with JWT Bearer tokens to authenticate marketplace users.
In: header
Query Parameters
Company ID used to determine which payment provider tokenizes the card. If omitted, defaults to Teya for backwards compatibility.
Request Body
application/json
enum"Card""Dee Hock""1564854695481453""02""02""070"Whether the card is temporary or not. A temporary card is only valid for a short amount of time and can only be used once.
Whether the card should be saved for future use.
If the card is saved, it can be used for future payments without having to enter the card details again.
trueIf provided, the user is redirected to this URL after the payment is processed.
This is required for 3D Secure payments.
"iOS" | "Android" | "Web"Session ID from Cardinal.js (Songbird) device fingerprinting. Required for Verifone 3D Secure payments.
The PARes parameter from the 3D Secure flow.
The CRes parameter from the 3D Secure flow.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.noona.is/v1/marketplace/cards" \ -H "Content-Type: application/json" \ -d '{ "method": "Card", "pan": "1564854695481453", "expiry_month": "02", "expiry_year": "02", "cvc": "070", "return_url": "string", "channel": "iOS" }'{
"method": "Card",
"id": "7awdXwZoedakjad37a",
"cardholder_name": "Dee Hock",
"pan": "1564854695481453",
"masked_pan": "1564854695481453",
"expiry_month": "02",
"expiry_year": "02",
"cvc": "070",
"temporary": true,
"type": "visa",
"provider": "teya",
"save_card": true,
"return_url": "string",
"browser_information": {
"language": "en-US",
"color_depth": 0,
"javascript_enabled": true,
"screen_width": 0.1,
"screen_height": 0.1,
"time_zone_offset": 0
},
"channel": "iOS",
"device_info_id": "string",
"three_ds2_sdk_version": "string",
"PARes": "string",
"CRes": "string",
"created_at": "2019-08-24T14:15:22Z"
}{
"type": "generic_error",
"message": "Time slot is not available."
}{
"type": "generic_error",
"message": "Time slot is not available."
}